{
  "factory": {
    "id": "common-expression",
    "type": "entaxy.runtime.route.component.expression",
    "displayName": "COMMON EXPRESSION",
    "description": "",
    "isAbstract": false,
    "parent": "abstract-expression",
    "label": "",
    "category": ""
  },
  "entaxy.runtime.route.component.expression": {},
  "fields": {
    "expressionLanguage": {
      "displayName": "Expression Language",
      "group": "general",
      "required": true,
      "type": "string",
      "@TYPEINFO": {
        "type": "enum",
        "values": [
          "constant",
          "simple",
          "jsonpath",
          "xpath",
          "header"
        ],
        "isEmptyIncluded": false
      }
    },
    "expression": {
      "displayName": "Expression",
      "type": "String",
      "group": "general",
      "required": true
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "config": {
        "configurable": false,
        "@SKIP_PUBLISH": true,
        "@SKIP_VAULTS_LOOKUP": ""
      },
      "scopes": ["private"],
      "fields": {
        "expression": {},
        "expressionLanguage": {}
      }
    }
  }
}